---
title: XDomainRequest.timeout
slug: Web/API/XDomainRequest/timeout
tags:
  - AJAX
  - IE
  - Microsoft
  - Obsolete
  - Property
  - Reference
  - Référence(2)
---
<p>{{APIRef("XDomain")}}{{obsolete_header}}</p>

<p>{{non-standard_header}}</p>

<p>Gets or sets the amount of time in milliseconds until an {{domxref("XDomainRequest")}} times out.</p>

<h2 id="Syntax">Syntax</h2>

<pre style="font-size: 14px;">xdr.timeout = milliseconds;</pre>

<p>The default value is 0.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">xdr.timeout = 10000;</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XDomainRequest.timeout")}}</p>
